Bug 1583754 - [RFE] Snapshot field for EC2 instances non-functional
Summary: [RFE] Snapshot field for EC2 instances non-functional
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:ec2:instance
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 15:34 UTC by David Luong
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Description David Luong 2018-05-29 15:34:16 UTC
Description of problem:
Snapshot field for EC2 instances non-functional, should be removed.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1.  Observe snapshot field for EC2 instances
2.
3.

Actual results:
Snapshot field for AWS instances is always 0

Expected results:
Snapshot field not to be present

Additional info:
The snapshot field should be removed since in AWS, snapshots are associated with the volume (EBS) rather than the instances (EC2).

Comment 5 CFME Bot 2018-07-12 18:52:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/543cdeeeaf546a97ec7b6ef7c33c24ac4063feff
commit 543cdeeeaf546a97ec7b6ef7c33c24ac4063feff
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Thu Jul 12 08:42:43 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Thu Jul 12 08:42:43 2018 -0400

    Remove Snapshot field from EC2 Instance summary screen

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1583754

 app/helpers/vm_cloud_helper/textual_summary.rb | 6 +-
 1 file changed, 4 insertions(+), 2 deletions(-)

Comment 6 Matouš Mojžíš 2018-07-24 14:25:57 UTC
Verified in 5.10.0.4. Snapshot field was removed from Instance Summary Properties.

Comment 7 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.